Bug 230712 - [PATCH] security/mailzu: Fix support for php 7.x
Summary: [PATCH] security/mailzu: Fix support for php 7.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL: https://reviews.freebsd.org/D17946
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-17 20:01 UTC by Krzysztof
Modified: 2018-11-24 10:15 UTC (History)
1 user (show)

See Also:


Attachments
mailzu 0.8rc3_r5 (55.26 KB, patch)
2018-08-17 20:01 UTC, Krzysztof
no flags Details | Diff
Add support for polish language (56.08 KB, patch)
2018-10-20 17:31 UTC, Krzysztof
no flags Details | Diff
corrected pl. files to make svn happy (55.99 KB, patch)
2018-11-04 14:24 UTC, Krzysztof
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2018-08-17 20:01:15 UTC
Created attachment 196296 [details]
mailzu 0.8rc3_r5

security/mailzu was lately marked as ignore with support for php7.x I'm using this port with long, long time. I has to patch it to work with php5.4+

So I've made a port patch which corrects some mailzu files to work correctly with latest php versions. Also I've add polish translation of mailzu (pl.help.php and pl.lang.php).

Because there is no maintainer of mailzu I'm adding myself as port maintainer. I've discused this with tz@FreeBSD.org and he accepted my changes partialy.

I've made a test with poudriere. There are logs of poudriere with php56 and php71:
http://pkg.bsdserwis.com/pkg/data/11x64-testing/2018-08-17_08h18m40s/logs/mailzu-0.8.r3_5.log and http://pkg.bsdserwis.com/pkg/data/11x64-testing-php71/2018-08-17_08h19m34s/logs/mailzu-0.8.r3_5.log

So I hope this will comitted soon :-)))
Comment 1 Krzysztof 2018-08-17 20:02:52 UTC
According to email correspondetaion with Torsten Zuehlsdorff I'm adding joneum@FreeBSD.org to cc.
Comment 2 Jochen Neumeister freebsd_committer 2018-08-18 04:45:02 UTC
Please give me some time. I'll take care of it! :-)
Comment 3 Jochen Neumeister freebsd_committer 2018-10-11 17:01:10 UTC
sorry for the late answer.

This diff build now fine with PHP71: http://joneum.joneumbox.org/mailzu.diff

When its okay for you, i will commit it :-)
Comment 4 Krzysztof 2018-10-20 17:31:48 UTC
Created attachment 198405 [details]
Add support for polish language

I've forgotten to add support for polish language in config/langs.php file. So this is very minor change to previous patch. So I think it is not needed to test it with poudriere again.
Comment 5 Jochen Neumeister freebsd_committer 2018-11-02 17:10:19 UTC
(In reply to Krzysztof from comment #4)

can you please check 2 patches?
When i will commit, i've become this errors:

svn: E165001: Commit blocked by pre-commit hook (exit code 1) with output:
Path "head/security/mailzu/files/pl.help.php" is missing the svn:keywords property (or an fbsd:nokeywords override)
== Additional errors may compound and may not be accurate ==
Path "head/security/mailzu/files/pl.lang.php" is missing the svn:keywords property (or an fbsd:nokeywords override)
== Pre-commit problem count: 2


Here is the patch that i use: http://joneum.joneumbox.org/mailzu.diff
Comment 6 Krzysztof 2018-11-02 18:06:17 UTC
So I'm explaining.

These files are new ones (they don't exist in source code). They are polish translation of mailzu - I've made them from en.help.php and en.lang.php).

Inside these files there is no SVN keywords (I suppose $Id$ mainly). 

Shoud I add these keywords?
Comment 7 Jochen Neumeister freebsd_committer 2018-11-03 10:59:19 UTC
(In reply to Krzysztof from comment #6)

that would be great, yes
Comment 8 Krzysztof 2018-11-04 14:24:23 UTC
Created attachment 198943 [details]
corrected pl. files to make svn happy

There is new version of patch with $Id inside pl.*.php files. Also I've translated  from ISO-8859-2 to UTF-8.

Because these changes are very minor I did not run poudriere.
Comment 9 Jochen Neumeister freebsd_committer 2018-11-07 07:20:21 UTC
~/dev/ports/security/mailzu/files % svn add pl.help.php 
svn: E200009: File '/usr/home/joneum/dev/ports/security/mailzu/files/pl.help.php' has inconsistent newlines
svn: E135000: Inconsistent line ending style
svn: E200042: Additional errors:

i will take later a look at this error.
Comment 10 commit-hook freebsd_committer 2018-11-24 10:13:24 UTC
A commit references this bug:

Author: joneum
Date: Sat Nov 24 10:12:24 UTC 2018
New revision: 485752
URL: https://svnweb.freebsd.org/changeset/ports/485752

Log:
  security/mailzu: Fix support for php 7.x

  - Pass Maintainership to Submitter

  PR:		230712
  Submitted by:	Krzysztof <ports@bsdserwis.com>
  Sponsored by:	Netzkommune GmbH
  Differential Revision:	https://reviews.freebsd.org/D17946

Changes:
  head/security/mailzu/Makefile
  head/security/mailzu/files/patch-config_init.php
  head/security/mailzu/files/patch-config_langs.php
  head/security/mailzu/files/patch-lib-DBEngine.class.php
  head/security/mailzu/files/patch-lib_Auth.class.php
  head/security/mailzu/files/patch-lib_CmnFns.class.php
  head/security/mailzu/files/patch-lib_Quarantine.lib.php
  head/security/mailzu/files/patch-lib_Template.class.php
  head/security/mailzu/files/patch-messagesAdmin.php
  head/security/mailzu/files/patch-read__mail.php
  head/security/mailzu/files/patch-templates_quarantine.template.php
  head/security/mailzu/files/pl.help.php
  head/security/mailzu/files/pl.lang.php
  head/security/mailzu/pkg-plist
Comment 11 Jochen Neumeister freebsd_committer 2018-11-24 10:15:55 UTC
Landed. I think, in the next step, you can set phpflavors :-)